Subject: Re: 23.0.60; Using Tab in gdb freezes emacs

From: Chong Yidong <[email-masked]>
Date: Mon, 26 Dec 2011 15:59:41 +0800

> My installation of emacs is standard macports-version (via sudo port
> install emacs-app-devel) if I use the Tab-key in gdb, it freezes my
> emacs. It then does not react to any other keyboard input, while the
> menu is acessible, although i chosen commands (as the gdb-commands, or
> tools-commands or options) are not carried out after clicking on
> them. Anyway, I'm able to quit emacs using the menu, emacs even asks
> me if i want to kill running processes (gdb).

I've just committed a change to the development trunk that fixes such a
bug (revno 106732).  If you are following the trunk, and still see this
problem occurring after the fix, please reopen the bug.